# ezQuake Manual: Particle Effects Variables

## gl_bounceparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Controls whether sparks rebound off walls.
0 | Disable.

Bouncing particles look nicer, but may eat up CPU.

## gl_clipparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | this will limit the number of blended particles close to you. This gives a big FPS increase when blended particles take up a big proportion of your screen and challenge your video card's fillrate.
0 | Disable.

## gl_particle_blobs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_blood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_blood_color

### Description

Changes colour of blood.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_blood_type

### Description

Chooses among types of blood particles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_deatheffect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_explosions

### Description

Turns particle alternatives to each r_explosiontype on or off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_fasttrails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_fire

### Description

Replaces torches with a particle flame effect. Includes people being burnt by the pyro in TF.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_firecolor

### Description

Color of the fire particle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## gl_particle_gibtrails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_gunshots

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_gunshots_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_muzzleflash

### Description

Adds particle effect when firing a weapon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_shockwaves

### Description

0 - Turns off explosion shockwaves. 1 - Turns on explosion shockwaves.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_shockwaves_flat

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_sparks

### Description

Trails appear more beam-like and don't look stupid when they bounce. This applies for wizards and knights only.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Particle sparks on
0 | Particle sparks off

## gl_particle_spikes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_particle_spikes_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_trail_detail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_trail_lenght

### Description

X - Multiplies the length of the trail on particle trails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_trail_time

### Description

X - Multiplies the length of time the particle bounces around for.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_trail_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_particle_trail_width

### Description

Changes width of trail particle e.g.: wall hitted by nail, explosion particles trail, etc.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## gl_part_blobs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for blob explosions (EMP's)
0 | Disable.

## gl_part_blood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for blood effects.
0 | Disable.

## gl_part_explosions

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for explosions.
0 | Disable.

## gl_part_gunshots

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for gunshots.
0 | Disable.

## gl_part_inferno

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for pyro flames in TF.
0 | Disable.

## gl_part_lavasplash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for lava splashes (Spy Gren).
0 | Disable.

## gl_part_spikes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for spikes (nailgun etc).
0 | Disable.

## gl_part_telesplash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Use classic quake teleport particles
1 | Use 'new/eye-candy' teleport particles: 'dots' and 'rays'
2 | Use 'new/eye-candy' teleport particles: 'dots' only

## gl_part_tracer1_color

### Description

Changes the color of the tracer1 trail, which allows you to customize the rockettrail color (see remarks).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 124 0

Variable is string.
"R G B" format accepted, e.g. "255 255 0" for yellow

If you set r_rockettrail 6 and gl_part_trails 1, this variable will change your rockettrail color

## gl_part_tracer2_color

### Description

Changes the color of the tracer2 trail, which allows you to customize the rockettrail color (see remarks).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 77 0

Variable is string.
"R G B" format accepted, e.g. "255 255 0" for yellow

If you set r_rockettrail 7 and gl_part_trails 1, this variable will change your rockettrail color

## gl_part_trails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Determines particles used for (rocket etc) trails.
0 | Disable.

## gl_solidparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Might make tele particles faster for 3dfx wicked gl drivers.
0 | Disable.

## r_particles_count

### Description

Maximum ammount of particles displayed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2048

Variable is integer.
1024 or 2048 is quite enough

You can adjust graphics performance with this.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs